Bug 1043226 - [RFE] Allow configuring Network QoS on host interfaces
Summary: [RFE] Allow configuring Network QoS on host interfaces
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ovirt-3.6.0-rc
: 3.6.0
Assignee: Dan Kenigsberg
QA Contact: Meni Yakove
URL: http://www.ovirt.org/Features/Detaile...
Whiteboard:
Depends On: 1055484 1057321 1064831 1271205
Blocks: 1119660 1043230 1075522 1242235
TreeView+ depends on / blocked
 
Reported: 2013-12-15 07:39 UTC by Lior Vernia
Modified: 2019-10-10 09:14 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Host Network QoS adds the ability to configure QoS for networks on a host, enabling control of specific network traffic through the physical interfaces.
Clone Of:
: 1043230 (view as bug list)
Environment:
Last Closed: 2016-03-09 20:34:18 UTC
oVirt Team: Network
nyechiel: Triaged+
ylavi: testing_beta_priority+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:0376 normal SHIPPED_LIVE Red Hat Enterprise Virtualization Manager 3.6.0 2016-03-10 01:20:52 UTC

Description Lior Vernia 2013-12-15 07:39:28 UTC
Currently, it is only possible to shape traffic on VM networks as they make their way into or out of a VM, yet it would be useful to also configure QoS on the physical interfaces of a host. For example, this would allow limiting the bandwidth of a migration network sharing a physical interface with the management network, so that the engine won't lost connectivity to hosts while migration takes place.

Comment 2 Lior Vernia 2014-01-26 08:10:51 UTC
Moving to ON_QA due to Bug 1043230 (oVirt clone) being already ON_QA.

Comment 3 Dan Kenigsberg 2014-02-13 11:27:52 UTC
As reported in bug 1055484 and bug 1057321, only recently we have learned that libvirt does not really support QoS for non-VM networks.

We may be able to implement network QoS via libvirt network hooks; there is also a possibility that with kernel improvements, libvirt could implement QoS as they with the semantics they prefer.

Even if we attempt the simpler path of using libvirt hooks, it is too optimistic to expect to have it by rhev-3.4.

Comment 7 Michael Burman 2015-10-13 11:38:13 UTC
Blocked by BZ 1271205

Tested on 3.6.0-0.18.el6 with vdsm-4.17.8-1.el7ev.noarch

Comment 8 Andrew Burden 2015-11-16 07:34:49 UTC
(In reply to Lior Vernia from comment #2)
> Moving to ON_QA due to Bug 1043230 (oVirt clone) being already ON_QA.

Comment 9 Michael Burman 2015-11-26 13:02:12 UTC
Verified on -  3.6.1-0.2.el6 and vdsm-4.17.11-0.el7ev.noarch

Comment 12 errata-xmlrpc 2016-03-09 20:34:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-0376.html


Note You need to log in before you can comment on or make changes to this bug.